unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvUtil, Vcl.Grids, AdvObj, BaseGrid,
  AdvGrid, Vcl.StdCtrls, Vcl.ExtCtrls, UAdvGridExcelExport, UAdvGridExcelImport;

type
  TForm2 = class(TForm)
    AdvStringGrid1: TAdvStringGrid;
    Panel1: TPanel;
    btnOpen: TButton;
    btnSave: TButton;
    ExcelImport: TAdvGridExcelImport;
    ExcelExport: TAdvGridExcelExport;
    procedure btnOpenClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation
uses VCL.FlexCel.Core, FlexCel.XlsAdapter;

{$R *.dfm}
const
  FileName = 'r:\testix.xlsm';
  SheetName = 'Update Users';

procedure TForm2.btnOpenClick(Sender: TObject);
begin
  ExcelImport.Import(FileName, SheetName);
end;

procedure TForm2.btnSaveClick(Sender: TObject);
var
  xls: TXlsFile;
begin
  xls := TXlsFile.Create(true);
  try
    xls.Open(FileName);
    xls.ActiveSheetByName := SheetName;
    ExcelExport.Export(xls, TInsertInSheet.Clear);
    xls.Save(FileName);
  finally
    xls.Free;
  end;
end;

end.
